unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    procedure Label1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Label1Click(Sender: TObject);
var x:single;
begin
  Label1.Caption:='  x    sin(x)'+#13;
  x:=-180;
  repeat
    Label1.Caption:=Label1.Caption+Format('%4.0f',[x])+
                                   Format('%8.3f',[sin(x*Pi/180)])+#13;
    x:=x+30;
  until x>180

end;

end.
